package ru.dbotthepony.mc.otm.core.util

import net.minecraft.util.RandomSource
import java.util.random.RandomGenerator

interface IRandomSourceGenerator : RandomSource, RandomGenerator {
	override fun nextInt(): Int

	override fun nextInt(bound: Int): Int {
		return super<RandomGenerator>.nextInt(bound)
	}

	override fun nextInt(origin: Int, bound: Int): Int {
		return super<RandomGenerator>.nextInt(origin, bound)
	}

	override fun nextBoolean(): Boolean {
		return super.nextBoolean()
	}

	override fun nextFloat(): Float {
		return super.nextFloat()
	}

	override fun nextDouble(): Double {
		return super.nextDouble()
	}

	override fun nextGaussian(): Double
}
